import { API_GET_ALL_BANZONES, API_GET_ALL_LAYER, API_GET_LAYER_INFO } from '@/constants';
import { request } from '@umijs/max';

export async function getLayer(name: string) {
  return request(`${API_GET_LAYER_INFO}/${name}`);
}

export async function getAllLayer() {
  return request(API_GET_ALL_LAYER);
}

export async function queryBanzones() {
  return request<API.Zone[]>(API_GET_ALL_BANZONES);
}